Subject: Re: 0-Based indexes for git log

From: Ben Knoble <[email-masked]>
Date: Wed, 24 Sep 2025 11:26:13 -0400

> Le 24 sept. 2025 à 09:46, 𝕍𝕖𝕝𝕠𝕔𝕚𝕗𝕪𝕖𝕣 <[email-masked]> a écrit :
> 
> 
>> 
>> Are these date formats locale-specific? In both the US English and France French locales I use commonly, the 19th of September in 2025 _is_ a Friday. Showing 18 would only be confusing.
> 
> Showing 19 confuses me because i'm used to 0-based indexes where the 19th is labeld as 18. Showing 18 would not cunfuse most people.

I would need evidence of that. Everyone I interact with agrees to write « 19 » when « 19th » is implied.

As I asked: is this particular to an community? I’m genuinely curious if there are groups or cultures that communicate this way. 

As Peff points out, you can probably make commands display your own personal preference (or a locale should handle this for your community). But I don’t think this is something we can force on other people, because it would be confusing.